import BaseAPI from './base_api'

export default class BackendAPI extends BaseAPI {
  /**
   * 获取文章列表
   */
  getArticleList = (obj = {}) => this.get('/v1/cms/projects', obj)
  /**
   * 获取政策文件列表
   * @param {[string]} obj.page 传入页码
   * @param {[string]} obj.per_page 每页多少条
   */
  getDocuments = obj => this.get('/v1/cms/documents', obj)
  /**
   * 获取政策文件详情
   * @param {[string]} id 传入政策文件id
   */
  getDocumentsId = (id, obj = {}) => this.get('/v1/cms/documents/' + id, obj)
  /**
   * 查询证书接口
   * @param {[string]} obj.id_card_type 证件类型；身份证：10 军官证：20 默认：10；不必填
   * @param {[string]} obj.id_card_number 证件号码；必填
   * @param {[string]} obj.name 姓名；必填
   * @param {[string]} obj.cert_id 证件编号；必填
   */
  getCertify = obj => this.post('/v1/ea/certificates/query', obj)
}
